Bug 409991 - After booting the computer, sometimes the sound works and sometimes not.
After booting the computer, sometimes the sound works and sometimes not.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 04:55 EST by Brian L Scipioni
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-07 22:46:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my modprobe.conf (621 bytes, text/plain)
2008-01-14 16:18 EST, Brian L Scipioni
no flags Details

  None (edit)
Description Brian L Scipioni 2007-12-04 04:55:26 EST
Description of problem:
This is really bug 389521 reopened.  Exact same symptoms, sound works on some
boots, not on others.
I have had this problem since upgrading to FC7.  The intermittent sound problem
occurs on an out-of-the-box install.  I do not believe that an install procedure
should expect that the user does a module analysis and then judges which
module(s) should be blacklisted in order to get sound to work predictably. 
Prior version of Fedora worked flawlessly. see bug 389521

Version-Release number of selected component (if applicable):
FC7, FC8

How reproducible:
re-boot, problem occurs at least 50% of the time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hans de Goede 2008-01-14 05:32:09 EST
Short intro: I'm a Fedora contributer doing some kernel bug triaging.

Can you please verify that adding this line:
install snd-intel8x0m { /sbin/modprobe snd-intel8x0; } ; /sbin/modprobe
--first-time --ignore-install snd-intel8x0m

(As one long line) to /etc/modprobe.conf, fixes this for you? I'm not saying
that this is a proper fix and I agree that things should work out of the box,
but before figuring out how to fix this I would like to first verify the cause.
Comment 2 Brian L Scipioni 2008-01-14 16:18:50 EST
Created attachment 291635 [details]
my modprobe.conf
Comment 3 Brian L Scipioni 2008-01-14 16:25:41 EST
Thanks Hans.  Sorry for separating the comment from the attachment.  Here is
what I got after putting the line you suggested into my modprob.conf and
rebooting and is typical of the problem:

[brian@cesium ~]$ bin/wavtest.sh 
ALSA lib pcm.c:2144:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.iec958
aplay: main:545: audio open error: No such file or directory.

also relevent lines from my dmesg:

intel8x0_measure_ac97_clock: measured 50806 usecs
intel8x0: clocking to 48000
gameport: EMU10K1 is pci0000:02:08.1/gameport0, io 0xbc00, speed 727kHz
EMU10K1_Audigy: probe of 0000:02:08.0 failed with error -12

thanks,brian
Comment 4 Hans de Goede 2008-01-16 14:18:17 EST
Hmm,

Do you actually have an soundblaster live / emu10k in this machine?

Can you attach the output of lspci and the output of dmesg please?

Can you try to move /etc/asound.conf and ~/.asoundrc and ~/.alsarc to for
example a dir called ~/bak, or just completely remove them and then try again

If you have 2 soundcards, can you try swapping index=0 and index=1 in
modprobe.conf, so that the intel card becomes index=0, plug in you speakers in
the sound output of the motherboard, not the separate emu10k card, and then try
 testing (without any asound.conf / .asoundrc / .alsarc) again?
Comment 5 Brian L Scipioni 2008-01-19 11:04:38 EST
Sorry for the delay in response-

I first moved ~/.asoundrc and /etc/asound.conf out of the way.
No change.

I then kept them them out of the way and flipped the indexing on my cards so
that the MB based Intel was index=0 and my Audigy 2 Platinum was index=1:

options snd cards_limit=8
alias snd-card-0 snd-intel8x0
options snd-intel8x0 index=0
alias snd-card-1 snd-emu10k1
options snd-emu10k1 index=1 extin=0x3fc3 extout=0x1fff enable_ir=1

No change - except it was interesting that my dmesg output now had the probe for
the Intel device fail:
Intel ICH: probe of 0000:00:07.5 failed with error -12

So it appears that whatever card is first fails the probe.
Comment 6 Jon Stanley 2008-01-19 11:55:41 EST
I wonder if the onboard sound can be disabled in the BIOS.  Can you attach the
output of a 'dmidecode' to this bug report?  I'm assuming that you want to use
the Audigy 2 Platinum in lieu of the built-in Intel, is that correct?
Comment 7 Bug Zapper 2008-05-14 00:05:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Brennan Ashton 2008-06-07 22:46:54 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.